log for org.ghostsinthelab.apps.guilelessbopomofo:46

== Installed Android Tools ==

2021-06-08 22:54:34,736 DEBUG: Reading 'config.yml'
2021-06-08 22:54:34,744 INFO: Using /opt/android-sdk/build-tools/29.0.3/apksigner 
2021-06-08 22:54:34,746 INFO: Creating log directory
2021-06-08 22:54:34,747 INFO: Creating temporary directory
2021-06-08 22:54:34,747 INFO: Creating output directory
2021-06-08 22:54:34,752 DEBUG: Getting git vcs interface for https://github.com/hiroshiyui/GuilelessBopomofo.git
2021-06-08 22:54:34,752 DEBUG: > git --version
git version 2.11.0
2021-06-08 22:54:35,109 INFO: Using git version 2.11.0
2021-06-08 22:54:35,109 DEBUG: Checking 1.3.3
2021-06-08 22:54:35,110 INFO: Building version 1.3.3 (46) of org.ghostsinthelab.apps.guilelessbopomofo
2021-06-08 22:54:35,111 INFO: Running 'sudo' commands in /home/vagrant
2021-06-08 22:54:35,112 DEBUG: > sudo DEBIAN_FRONTEND=noninteractive bash -x -c apt-get update || apt-get update && apt-get install -y libsqlite3-dev
+ apt-get update
Hit:1 http://security.debian.org/debian-security stretch/updates InRelease
Ign:2 http://deb.debian.org/debian stretch InRelease
Get:3 http://deb.debian.org/debian stretch-updates InRelease [93.6 kB]
Get:4 http://deb.debian.org/debian stretch-backports-sloppy InRelease [46.7 kB]
Get:5 http://deb.debian.org/debian stretch-backports InRelease [91.8 kB]
Get:6 http://deb.debian.org/debian testing InRelease [150 kB]
Hit:7 http://deb.debian.org/debian stretch Release
Get:8 http://deb.debian.org/debian testing/main i386 Packages.diff/Index [63.6 kB]
Get:10 http://deb.debian.org/debian testing/main amd64 Packages.diff/Index [63.6 kB]
Get:11 http://deb.debian.org/debian testing/main i386 Packages T-2021-06-08-0211.27-F-2021-06-08-0211.27.pdiff [3,357 B]
Get:11 http://deb.debian.org/debian testing/main i386 Packages T-2021-06-08-0211.27-F-2021-06-08-0211.27.pdiff [3,357 B]
Get:12 http://deb.debian.org/debian testing/main amd64 Packages T-2021-06-08-0211.27-F-2021-06-08-0211.27.pdiff [3,331 B]
Get:12 http://deb.debian.org/debian testing/main amd64 Packages T-2021-06-08-0211.27-F-2021-06-08-0211.27.pdiff [3,331 B]
Fetched 516 kB in 6s (84.9 kB/s)
Reading package lists...
+ apt-get install -y libsqlite3-dev
Reading package lists...
Building dependency tree...
Reading state information...
Suggested packages:
  sqlite3-doc
The following NEW packages will be installed:
  libsqlite3-dev
0 upgraded, 1 newly installed, 0 to remove and 2 not upgraded.
Need to get 705 kB of archives.
After this operation, 2,065 kB of additional disk space will be used.
Get:1 http://security.debian.org/debian-security stretch/updates/main amd64 libsqlite3-dev amd64 3.16.2-5+deb9u3 [705 kB]
Fetched 705 kB in 0s (10.9 MB/s)
Selecting previously unselected package libsqlite3-dev:amd64.
(Reading database ... 64892 files and directories currently installed.)
Preparing to unpack .../libsqlite3-dev_3.16.2-5+deb9u3_amd64.deb ...
Unpacking libsqlite3-dev:amd64 (3.16.2-5+deb9u3) ...
Setting up libsqlite3-dev:amd64 (3.16.2-5+deb9u3) ...
2021-06-08 22:54:51,655 DEBUG: > sudo passwd --lock root
passwd: password expiry information changed.
2021-06-08 22:54:51,864 DEBUG: > sudo SUDO_FORCE_REMOVE=yes dpkg --purge sudo
(Reading database ... 64903 files and directories currently installed.)
Removing sudo (1.8.19p1-2.1+deb9u3) ...
Purging configuration files for sudo (1.8.19p1-2.1+deb9u3) ...
Processing triggers for systemd (232-25+deb9u12) ...
2021-06-08 22:54:57,443 INFO: Getting source for revision 1.3.3
2021-06-08 22:54:57,444 DEBUG: Directory: build/org.ghostsinthelab.apps.guilelessbopomofo
2021-06-08 22:54:57,444 DEBUG: > git rev-parse --show-toplevel
2021-06-08 22:54:57,660 DEBUG: Directory: build/org.ghostsinthelab.apps.guilelessbopomofo
2021-06-08 22:54:57,660 DEBUG: > git submodule foreach --recursive git reset --hard
2021-06-08 22:54:57,970 DEBUG: Directory: build/org.ghostsinthelab.apps.guilelessbopomofo
2021-06-08 22:54:57,971 DEBUG: > git submodule foreach --recursive git clean -dffx
2021-06-08 22:54:58,076 DEBUG: Directory: build/org.ghostsinthelab.apps.guilelessbopomofo
2021-06-08 22:54:58,076 DEBUG: > git -c core.askpass=/bin/true -c core.sshCommand=/bin/false -c url.https://.insteadOf=ssh:// -c url.https://u:p@bitbucket.org/.insteadOf=git@bitbucket.org: -c url.https://u:p@bitbucket.org.insteadOf=git://bitbucket.org -c url.https://u:p@bitbucket.org.insteadOf=https://bitbucket.org -c url.https://u:p@github.com/.insteadOf=git@github.com: -c url.https://u:p@github.com.insteadOf=git://github.com -c url.https://u:p@github.com.insteadOf=https://github.com -c url.https://u:p@gitlab.com/.insteadOf=git@gitlab.com: -c url.https://u:p@gitlab.com.insteadOf=git://gitlab.com -c url.https://u:p@gitlab.com.insteadOf=https://gitlab.com fetch origin
2021-06-08 22:54:59,192 DEBUG: Directory: build/org.ghostsinthelab.apps.guilelessbopomofo
2021-06-08 22:54:59,192 DEBUG: > git -c core.askpass=/bin/true -c core.sshCommand=/bin/false -c url.https://.insteadOf=ssh:// -c url.https://u:p@bitbucket.org/.insteadOf=git@bitbucket.org: -c url.https://u:p@bitbucket.org.insteadOf=git://bitbucket.org -c url.https://u:p@bitbucket.org.insteadOf=https://bitbucket.org -c url.https://u:p@github.com/.insteadOf=git@github.com: -c url.https://u:p@github.com.insteadOf=git://github.com -c url.https://u:p@github.com.insteadOf=https://github.com -c url.https://u:p@gitlab.com/.insteadOf=git@gitlab.com: -c url.https://u:p@gitlab.com.insteadOf=git://gitlab.com -c url.https://u:p@gitlab.com.insteadOf=https://gitlab.com fetch --prune --tags --force origin
2021-06-08 22:54:59,508 DEBUG: Directory: build/org.ghostsinthelab.apps.guilelessbopomofo
2021-06-08 22:54:59,509 DEBUG: > git remote set-head origin --auto
2021-06-08 22:54:59,992 DEBUG: Directory: build/org.ghostsinthelab.apps.guilelessbopomofo
2021-06-08 22:54:59,992 DEBUG: > git checkout -f 1.3.3
2021-06-08 22:55:00,199 DEBUG: Directory: build/org.ghostsinthelab.apps.guilelessbopomofo
2021-06-08 22:55:00,200 DEBUG: > git clean -dffx
2021-06-08 22:55:00,366 INFO: Initialising submodules
2021-06-08 22:55:00,366 DEBUG: Directory: build/org.ghostsinthelab.apps.guilelessbopomofo
2021-06-08 22:55:00,366 DEBUG: > git rev-parse --show-toplevel
2021-06-08 22:55:00,804 DEBUG: Directory: build/org.ghostsinthelab.apps.guilelessbopomofo
2021-06-08 22:55:00,804 DEBUG: > git submodule sync
2021-06-08 22:55:00,909 DEBUG: Directory: build/org.ghostsinthelab.apps.guilelessbopomofo
2021-06-08 22:55:00,910 DEBUG: > git -c core.askpass=/bin/true -c core.sshCommand=/bin/false -c url.https://.insteadOf=ssh:// -c url.https://u:p@bitbucket.org/.insteadOf=git@bitbucket.org: -c url.https://u:p@bitbucket.org.insteadOf=git://bitbucket.org -c url.https://u:p@bitbucket.org.insteadOf=https://bitbucket.org -c url.https://u:p@github.com/.insteadOf=git@github.com: -c url.https://u:p@github.com.insteadOf=git://github.com -c url.https://u:p@github.com.insteadOf=https://github.com -c url.https://u:p@gitlab.com/.insteadOf=git@gitlab.com: -c url.https://u:p@gitlab.com.insteadOf=git://gitlab.com -c url.https://u:p@gitlab.com.insteadOf=https://gitlab.com submodule update --init --force --recursive
Submodule 'app/libs/libchewing' (https://u:p@github.com/hiroshiyui/libchewing.git) registered for path 'app/libs/libchewing'
Cloning into '/home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/libs/libchewing'...
Submodule path 'app/libs/libchewing': checked out '13dc187dfb6b3e0fc90248e2b568e3fd22d52187'
2021-06-08 22:55:09,136 INFO: Creating local.properties file at build/org.ghostsinthelab.apps.guilelessbopomofo/local.properties
2021-06-08 22:55:09,136 INFO: Creating local.properties file at build/org.ghostsinthelab.apps.guilelessbopomofo/app/local.properties
2021-06-08 22:55:09,137 DEBUG: Removing debuggable flags from build/org.ghostsinthelab.apps.guilelessbopomofo/app
2021-06-08 22:55:09,156 INFO: Running 'prebuild' commands in build/org.ghostsinthelab.apps.guilelessbopomofo/app
2021-06-08 22:55:09,157 DEBUG: Directory: build/org.ghostsinthelab.apps.guilelessbopomofo/app
2021-06-08 22:55:09,157 DEBUG: > bash -x -c -- /opt/android-sdk/tools/bin/sdkmanager 'cmake;3.18.1' > /dev/null
+ /opt/android-sdk/tools/bin/sdkmanager 'cmake;3.18.1'
Warning: File /home/vagrant/.android/repositories.cfg could not be loaded.
2021-06-08 22:55:33,567 INFO: Cleaning Gradle project...
2021-06-08 22:55:33,567 DEBUG: Directory: build/org.ghostsinthelab.apps.guilelessbopomofo/app
2021-06-08 22:55:33,568 DEBUG: > /home/vagrant/fdroidserver/gradlew-fdroid clean
Found 6.7.1 via distributionUrl
Downloading missing gradle version 6.7.1
cachedir /home/vagrant/.cache/fdroidserver
/home/vagrant/.cache/fdroidserver/gradle-6.7.1-bin.zip: OK
Running /opt/gradle/versions/6.7.1/bin/gradle clean

Welcome to Gradle 6.7.1!

Here are the highlights of this release:
 - File system watching is ready for production use
 - Declare the version of Java your build requires
 - Java 15 support

For more details see https://docs.gradle.org/6.7.1/release-notes.html

To honour the JVM settings for this build a new JVM will be forked. Please consider using the daemon: https://docs.gradle.org/6.7.1/userguide/gradle_daemon.html.
Daemon will be stopped at the end of the build stopping after processing

> Configure project :app
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir

> Task :app:externalNativeBuildCleanDebug
> Task :app:externalNativeBuildCleanRelease
> Task :app:clean

BUILD SUCCESSFUL in 30s
3 actionable tasks: 3 executed
2021-06-08 22:56:07,885 INFO: Scanning source for common problems...
2021-06-08 22:56:07,890 INFO: Removing gradle-wrapper.jar at gradle/wrapper/gradle-wrapper.jar
2021-06-08 22:56:07,925 INFO: Creating source tarball...
2021-06-08 22:56:10,211 INFO: Building Gradle project...
2021-06-08 22:56:10,212 DEBUG: Directory: build/org.ghostsinthelab.apps.guilelessbopomofo/app
2021-06-08 22:56:10,212 DEBUG: > /home/vagrant/fdroidserver/gradlew-fdroid assembleRelease
Found 6.7.1 via distributionUrl
Running /opt/gradle/versions/6.7.1/bin/gradle assembleRelease
To honour the JVM settings for this build a new JVM will be forked. Please consider using the daemon: https://docs.gradle.org/6.7.1/userguide/gradle_daemon.html.
Daemon will be stopped at the end of the build stopping after processing

> Configure project :app
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
File /home/vagrant/.android/repositories.cfg could not be loaded.
Checking the license for package Android SDK Build-Tools 30.0.3 in /opt/android-sdk/licenses
License for package Android SDK Build-Tools 30.0.3 accepted.
Preparing "Install Android SDK Build-Tools 30.0.3 (revision: 30.0.3)".
"Install Android SDK Build-Tools 30.0.3 (revision: 30.0.3)" ready.
Installing Android SDK Build-Tools 30.0.3 in /opt/android-sdk/build-tools/30.0.3
"Install Android SDK Build-Tools 30.0.3 (revision: 30.0.3)" complete.
"Install Android SDK Build-Tools 30.0.3 (revision: 30.0.3)" finished.
Checking the license for package Android SDK Platform 30 in /opt/android-sdk/licenses
License for package Android SDK Platform 30 accepted.
Preparing "Install Android SDK Platform 30 (revision: 3)".
"Install Android SDK Platform 30 (revision: 3)" ready.
Installing Android SDK Platform 30 in /opt/android-sdk/platforms/android-30
"Install Android SDK Platform 30 (revision: 3)" complete.
"Install Android SDK Platform 30 (revision: 3)" finished.

> Task :app:copyChewingDataFiles

> Task :app:prepareChewing
libtoolize: putting auxiliary files in AC_CONFIG_AUX_DIR, 'build-aux'.
libtoolize: copying file 'build-aux/ltmain.sh'
libtoolize: putting macros in AC_CONFIG_MACRO_DIRS, 'm4'.
libtoolize: copying file 'm4/libtool.m4'
libtoolize: copying file 'm4/ltoptions.m4'
libtoolize: copying file 'm4/ltsugar.m4'
libtoolize: copying file 'm4/ltversion.m4'
libtoolize: copying file 'm4/lt~obsolete.m4'
configure.ac:60: installing 'build-aux/compile'
configure.ac:60: installing 'build-aux/config.guess'
configure.ac:60: installing 'build-aux/config.sub'
configure.ac:55: installing 'build-aux/install-sh'
configure.ac:55: installing 'build-aux/missing'
doc/Makefile.am:1: installing 'build-aux/mdate-sh'
doc/Makefile.am:1: installing 'build-aux/texinfo.tex'
src/Makefile.am: installing 'build-aux/depcomp'
src/tools/Makefile.am:21: warning: source file '$(top_srcdir)/src/common/chewing-utf8-util.c' is in a subdirectory,
src/tools/Makefile.am:21: but option 'subdir-objects' is disabled
automake: warning: possible forward-incompatibility.
automake: At least a source file is in a subdirectory, but the 'subdir-objects'
automake: automake option hasn't been enabled.  For now, the corresponding output
automake: object file(s) will be placed in the top-level directory.  However,
automake: this behaviour will change in future Automake versions: they will
automake: unconditionally cause object files to be placed in the same subdirectory
automake: of the corresponding sources.
automake: You are advised to start using 'subdir-objects' option throughout your
automake: project, to avoid future incompatibilities.
src/tools/Makefile.am:21: warning: source file '$(top_srcdir)/src/common/key2pho.c' is in a subdirectory,
src/tools/Makefile.am:21: but option 'subdir-objects' is disabled
src/tools/Makefile.am:21: warning: source file '$(top_srcdir)/src/porting_layer/src/plat_mmap_posix.c' is in a subdirectory,
src/tools/Makefile.am:21: but option 'subdir-objects' is disabled
src/tools/Makefile.am:21: warning: source file '$(top_srcdir)/src/porting_layer/src/plat_mmap_windows.c' is in a subdirectory,
src/tools/Makefile.am:21: but option 'subdir-objects' is disabled
src/tools/Makefile.am:21: warning: source file '$(top_srcdir)/src/porting_layer/src/rpl_malloc.c' is in a subdirectory,
src/tools/Makefile.am:21: but option 'subdir-objects' is disabled
src/tools/Makefile.am:15: warning: source file '$(top_srcdir)/src/common/chewing-utf8-util.c' is in a subdirectory,
src/tools/Makefile.am:15: but option 'subdir-objects' is disabled
src/tools/Makefile.am:15: warning: source file '$(top_srcdir)/src/common/key2pho.c' is in a subdirectory,
src/tools/Makefile.am:15: but option 'subdir-objects' is disabled
parallel-tests: installing 'build-aux/test-driver'
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether make supports nested variables... (cached) yes
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking how to print strings... printf
checking for style of include used by make... GNU
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking whether gcc understands -c and -o together... yes
checking dependency style of gcc... gcc3
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for fgrep... /bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking how to convert x86_64-pc-linux-gnu file names to x86_64-pc-linux-gnu format... func_convert_file_noop
checking how to convert x86_64-pc-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for ar... ar
checking for archiver @FILE support... @
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for a working dd... /bin/dd
checking how to truncate binary pipes... /bin/dd bs=4096 count=1
checking for mt... mt
checking if mt is a manifest tool... no
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking for gcc... (cached) gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to accept ISO C89... (cached) none needed
checking whether gcc understands -c and -o together... (cached) yes
checking dependency style of gcc... (cached) gcc3
checking for gcc option to accept ISO C99... none needed
checking whether byte ordering is bigendian... no
checking for stdlib.h... (cached) yes
checking for GNU libc compatible malloc... yes
checking for strtok_r... yes
checking for asprintf... yes
checking for library containing sqlite3_open... -lsqlite3
checking for stdlib.h... (cached) yes
checking for unistd.h... (cached) yes
checking for sys/param.h... yes
checking for getpagesize... yes
checking for working mmap... yes
checking for size_t... yes
checking for inline... inline
checking for uint16_t... yes
checking for NcursesW wide-character library... no
checking for Ncurses library... no
checking for Curses library... no
checking whether the compiler supports GCC Visibility... yes
checking whether the linker supports --no-undefined... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating chewing.pc
config.status: creating data/Makefile
config.status: creating doc/Makefile
config.status: creating libchewing.spec
config.status: creating src/Makefile
config.status: creating src/common/Makefile
config.status: creating src/porting_layer/Makefile
config.status: creating src/porting_layer/src/Makefile
config.status: creating src/tools/Makefile
config.status: creating test/Makefile
config.status: creating thirdparty/sqlite-amalgamation/Makefile
config.status: creating include/config.h
config.status: executing depfiles commands
config.status: executing libtool commands

Build options:
  Build OS                linux-gnu
  Host OS                 linux-gnu
  Version                 0.5.1
  Install prefix          /usr/local
  Enable gcov             false
  With sqlite3            yes
  With internal sqlite3   no
  Build TextUI sample     no
  Default CFLAGS           -Wall -g -O2 -fvisibility=hidden
  Default CPPFLAGS         -D_GNU_SOURCE
  Default LDFLAGS          -lsqlite3

  CC       init_database.o
  CC       chewing-utf8-util.o
  CC       key2pho.o
  CCLD     init_database
  CC       dump_database.o
  CC       plat_mmap_posix.o
  CC       plat_mmap_windows.o
  CC       rpl_malloc.o
  CCLD     dump_database
make gendata && \
touch gendata_stamp
make[1]: Entering directory '/home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/libs/libchewing/data'
env LC_ALL=C ../src/tools/init_database ../data/phone.cin ../data/tsi.src
make[1]: Leaving directory '/home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/libs/libchewing/data'

> Task :app:preBuild
> Task :app:extractProguardFiles
> Task :app:preReleaseBuild
> Task :app:compileReleaseAidl NO-SOURCE
> Task :app:compileReleaseRenderscript NO-SOURCE
> Task :app:dataBindingMergeDependencyArtifactsRelease
> Task :app:generateReleaseResValues
> Task :app:generateReleaseResources
> Task :app:dataBindingMergeGenClassesRelease
> Task :app:dataBindingTriggerRelease
> Task :app:generateReleaseBuildConfig
> Task :app:checkReleaseAarMetadata
> Task :app:createReleaseCompatibleScreenManifests
> Task :app:extractDeepLinksRelease
> Task :app:processReleaseMainManifest
> Task :app:mergeReleaseResources
> Task :app:processReleaseManifest
> Task :app:dataBindingGenBaseClassesRelease
> Task :app:writeReleaseApplicationId
> Task :app:analyticsRecordingRelease

> Task :app:generateJsonModelRelease
release|armeabi-v7a :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|armeabi-v7a :  An old version of CMake is being used that cannot automatically detect
release|armeabi-v7a :  compiler attributes.  Compiler identification is being bypassed.  Some
release|armeabi-v7a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|armeabi-v7a :  CMake's built-in compiler identification.
release|armeabi-v7a :Call Stack (most recent call first):
release|armeabi-v7a :  /opt/android-sdk/cmake/3.18.1/share/cmake-3.18/Modules/CMakeDetermineSystem.cmake:93 (include)
release|armeabi-v7a :  CMakeLists.txt:7 (project)
release|armeabi-v7a :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|armeabi-v7a :  An old version of CMake is being used that cannot automatically detect
release|armeabi-v7a :  compiler attributes.  Compiler identification is being bypassed.  Some
release|armeabi-v7a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|armeabi-v7a :  CMake's built-in compiler identification.
release|armeabi-v7a :Call Stack (most recent call first):
release|armeabi-v7a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|armeabi-v7a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|armeabi-v7a :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|armeabi-v7a :  An old version of CMake is being used that cannot automatically detect
release|armeabi-v7a :  compiler attributes.  Compiler identification is being bypassed.  Some
release|armeabi-v7a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|armeabi-v7a :  CMake's built-in compiler identification.
release|armeabi-v7a :Call Stack (most recent call first):
release|armeabi-v7a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|armeabi-v7a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|armeabi-v7a :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|armeabi-v7a :  An old version of CMake is being used that cannot automatically detect
release|armeabi-v7a :  compiler attributes.  Compiler identification is being bypassed.  Some
release|armeabi-v7a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|armeabi-v7a :  CMake's built-in compiler identification.
release|armeabi-v7a :Call Stack (most recent call first):
release|armeabi-v7a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|armeabi-v7a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|armeabi-v7a :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|armeabi-v7a :  An old version of CMake is being used that cannot automatically detect
release|armeabi-v7a :  compiler attributes.  Compiler identification is being bypassed.  Some
release|armeabi-v7a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|armeabi-v7a :  CMake's built-in compiler identification.
release|armeabi-v7a :Call Stack (most recent call first):
release|armeabi-v7a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|armeabi-v7a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|armeabi-v7a :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|armeabi-v7a :  An old version of CMake is being used that cannot automatically detect
release|armeabi-v7a :  compiler attributes.  Compiler identification is being bypassed.  Some
release|armeabi-v7a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|armeabi-v7a :  CMake's built-in compiler identification.
release|armeabi-v7a :Call Stack (most recent call first):
release|armeabi-v7a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|armeabi-v7a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|armeabi-v7a :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|armeabi-v7a :  An old version of CMake is being used that cannot automatically detect
release|armeabi-v7a :  compiler attributes.  Compiler identification is being bypassed.  Some
release|armeabi-v7a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|armeabi-v7a :  CMake's built-in compiler identification.
release|armeabi-v7a :Call Stack (most recent call first):
release|armeabi-v7a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|armeabi-v7a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|armeabi-v7a :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|armeabi-v7a :  An old version of CMake is being used that cannot automatically detect
release|armeabi-v7a :  compiler attributes.  Compiler identification is being bypassed.  Some
release|armeabi-v7a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|armeabi-v7a :  CMake's built-in compiler identification.
release|armeabi-v7a :Call Stack (most recent call first):
release|armeabi-v7a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|armeabi-v7a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|armeabi-v7a :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|armeabi-v7a :  An old version of CMake is being used that cannot automatically detect
release|armeabi-v7a :  compiler attributes.  Compiler identification is being bypassed.  Some
release|armeabi-v7a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|armeabi-v7a :  CMake's built-in compiler identification.
release|armeabi-v7a :Call Stack (most recent call first):
release|armeabi-v7a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|armeabi-v7a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|armeabi-v7a :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|armeabi-v7a :  An old version of CMake is being used that cannot automatically detect
release|armeabi-v7a :  compiler attributes.  Compiler identification is being bypassed.  Some
release|armeabi-v7a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|armeabi-v7a :  CMake's built-in compiler identification.
release|armeabi-v7a :Call Stack (most recent call first):
release|armeabi-v7a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|armeabi-v7a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|armeabi-v7a :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|armeabi-v7a :  An old version of CMake is being used that cannot automatically detect
release|armeabi-v7a :  compiler attributes.  Compiler identification is being bypassed.  Some
release|armeabi-v7a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|armeabi-v7a :  CMake's built-in compiler identification.
release|armeabi-v7a :Call Stack (most recent call first):
release|armeabi-v7a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|armeabi-v7a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|armeabi-v7a :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|armeabi-v7a :  An old version of CMake is being used that cannot automatically detect
release|armeabi-v7a :  compiler attributes.  Compiler identification is being bypassed.  Some
release|armeabi-v7a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|armeabi-v7a :  CMake's built-in compiler identification.
release|armeabi-v7a :Call Stack (most recent call first):
release|armeabi-v7a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|armeabi-v7a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|armeabi-v7a :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|armeabi-v7a :  An old version of CMake is being used that cannot automatically detect
release|armeabi-v7a :  compiler attributes.  Compiler identification is being bypassed.  Some
release|armeabi-v7a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|armeabi-v7a :  CMake's built-in compiler identification.
release|armeabi-v7a :Call Stack (most recent call first):
release|armeabi-v7a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|armeabi-v7a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|arm64-v8a :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|arm64-v8a :  An old version of CMake is being used that cannot automatically detect
release|arm64-v8a :  compiler attributes.  Compiler identification is being bypassed.  Some
release|arm64-v8a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|arm64-v8a :  CMake's built-in compiler identification.
release|arm64-v8a :Call Stack (most recent call first):
release|arm64-v8a :  /opt/android-sdk/cmake/3.18.1/share/cmake-3.18/Modules/CMakeDetermineSystem.cmake:93 (include)
release|arm64-v8a :  CMakeLists.txt:7 (project)
release|arm64-v8a :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|arm64-v8a :  An old version of CMake is being used that cannot automatically detect
release|arm64-v8a :  compiler attributes.  Compiler identification is being bypassed.  Some
release|arm64-v8a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|arm64-v8a :  CMake's built-in compiler identification.
release|arm64-v8a :Call Stack (most recent call first):
release|arm64-v8a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|arm64-v8a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|arm64-v8a :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|arm64-v8a :  An old version of CMake is being used that cannot automatically detect
release|arm64-v8a :  compiler attributes.  Compiler identification is being bypassed.  Some
release|arm64-v8a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|arm64-v8a :  CMake's built-in compiler identification.
release|arm64-v8a :Call Stack (most recent call first):
release|arm64-v8a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|arm64-v8a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|arm64-v8a :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|arm64-v8a :  An old version of CMake is being used that cannot automatically detect
release|arm64-v8a :  compiler attributes.  Compiler identification is being bypassed.  Some
release|arm64-v8a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|arm64-v8a :  CMake's built-in compiler identification.
release|arm64-v8a :Call Stack (most recent call first):
release|arm64-v8a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|arm64-v8a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|arm64-v8a :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|arm64-v8a :  An old version of CMake is being used that cannot automatically detect
release|arm64-v8a :  compiler attributes.  Compiler identification is being bypassed.  Some
release|arm64-v8a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|arm64-v8a :  CMake's built-in compiler identification.
release|arm64-v8a :Call Stack (most recent call first):
release|arm64-v8a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|arm64-v8a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|arm64-v8a :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|arm64-v8a :  An old version of CMake is being used that cannot automatically detect
release|arm64-v8a :  compiler attributes.  Compiler identification is being bypassed.  Some
release|arm64-v8a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|arm64-v8a :  CMake's built-in compiler identification.
release|arm64-v8a :Call Stack (most recent call first):
release|arm64-v8a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|arm64-v8a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|arm64-v8a :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|arm64-v8a :  An old version of CMake is being used that cannot automatically detect
release|arm64-v8a :  compiler attributes.  Compiler identification is being bypassed.  Some
release|arm64-v8a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|arm64-v8a :  CMake's built-in compiler identification.
release|arm64-v8a :Call Stack (most recent call first):
release|arm64-v8a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|arm64-v8a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|arm64-v8a :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|arm64-v8a :  An old version of CMake is being used that cannot automatically detect
release|arm64-v8a :  compiler attributes.  Compiler identification is being bypassed.  Some
release|arm64-v8a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|arm64-v8a :  CMake's built-in compiler identification.
release|arm64-v8a :Call Stack (most recent call first):
release|arm64-v8a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|arm64-v8a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|arm64-v8a :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|arm64-v8a :  An old version of CMake is being used that cannot automatically detect
release|arm64-v8a :  compiler attributes.  Compiler identification is being bypassed.  Some
release|arm64-v8a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|arm64-v8a :  CMake's built-in compiler identification.
release|arm64-v8a :Call Stack (most recent call first):
release|arm64-v8a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|arm64-v8a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|arm64-v8a :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|arm64-v8a :  An old version of CMake is being used that cannot automatically detect
release|arm64-v8a :  compiler attributes.  Compiler identification is being bypassed.  Some
release|arm64-v8a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|arm64-v8a :  CMake's built-in compiler identification.
release|arm64-v8a :Call Stack (most recent call first):
release|arm64-v8a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|arm64-v8a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|arm64-v8a :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|arm64-v8a :  An old version of CMake is being used that cannot automatically detect
release|arm64-v8a :  compiler attributes.  Compiler identification is being bypassed.  Some
release|arm64-v8a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|arm64-v8a :  CMake's built-in compiler identification.
release|arm64-v8a :Call Stack (most recent call first):
release|arm64-v8a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|arm64-v8a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|arm64-v8a :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|arm64-v8a :  An old version of CMake is being used that cannot automatically detect
release|arm64-v8a :  compiler attributes.  Compiler identification is being bypassed.  Some
release|arm64-v8a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|arm64-v8a :  CMake's built-in compiler identification.
release|arm64-v8a :Call Stack (most recent call first):
release|arm64-v8a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|arm64-v8a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|arm64-v8a :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|arm64-v8a :  An old version of CMake is being used that cannot automatically detect
release|arm64-v8a :  compiler attributes.  Compiler identification is being bypassed.  Some
release|arm64-v8a :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|arm64-v8a :  CMake's built-in compiler identification.
release|arm64-v8a :Call Stack (most recent call first):
release|arm64-v8a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|arm64-v8a :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|x86 :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|x86 :  An old version of CMake is being used that cannot automatically detect
release|x86 :  compiler attributes.  Compiler identification is being bypassed.  Some
release|x86 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|x86 :  CMake's built-in compiler identification.
release|x86 :Call Stack (most recent call first):
release|x86 :  /opt/android-sdk/cmake/3.18.1/share/cmake-3.18/Modules/CMakeDetermineSystem.cmake:93 (include)
release|x86 :  CMakeLists.txt:7 (project)
release|x86 :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|x86 :  An old version of CMake is being used that cannot automatically detect
release|x86 :  compiler attributes.  Compiler identification is being bypassed.  Some
release|x86 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|x86 :  CMake's built-in compiler identification.
release|x86 :Call Stack (most recent call first):
release|x86 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|x86 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|x86 :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|x86 :  An old version of CMake is being used that cannot automatically detect
release|x86 :  compiler attributes.  Compiler identification is being bypassed.  Some
release|x86 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|x86 :  CMake's built-in compiler identification.
release|x86 :Call Stack (most recent call first):
release|x86 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|x86 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|x86 :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|x86 :  An old version of CMake is being used that cannot automatically detect
release|x86 :  compiler attributes.  Compiler identification is being bypassed.  Some
release|x86 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|x86 :  CMake's built-in compiler identification.
release|x86 :Call Stack (most recent call first):
release|x86 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|x86 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|x86 :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|x86 :  An old version of CMake is being used that cannot automatically detect
release|x86 :  compiler attributes.  Compiler identification is being bypassed.  Some
release|x86 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|x86 :  CMake's built-in compiler identification.
release|x86 :Call Stack (most recent call first):
release|x86 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|x86 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|x86 :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|x86 :  An old version of CMake is being used that cannot automatically detect
release|x86 :  compiler attributes.  Compiler identification is being bypassed.  Some
release|x86 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|x86 :  CMake's built-in compiler identification.
release|x86 :Call Stack (most recent call first):
release|x86 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|x86 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|x86 :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|x86 :  An old version of CMake is being used that cannot automatically detect
release|x86 :  compiler attributes.  Compiler identification is being bypassed.  Some
release|x86 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|x86 :  CMake's built-in compiler identification.
release|x86 :Call Stack (most recent call first):
release|x86 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|x86 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|x86 :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|x86 :  An old version of CMake is being used that cannot automatically detect
release|x86 :  compiler attributes.  Compiler identification is being bypassed.  Some
release|x86 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|x86 :  CMake's built-in compiler identification.
release|x86 :Call Stack (most recent call first):
release|x86 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|x86 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|x86 :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|x86 :  An old version of CMake is being used that cannot automatically detect
release|x86 :  compiler attributes.  Compiler identification is being bypassed.  Some
release|x86 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|x86 :  CMake's built-in compiler identification.
release|x86 :Call Stack (most recent call first):
release|x86 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|x86 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|x86 :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|x86 :  An old version of CMake is being used that cannot automatically detect
release|x86 :  compiler attributes.  Compiler identification is being bypassed.  Some
release|x86 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|x86 :  CMake's built-in compiler identification.
release|x86 :Call Stack (most recent call first):
release|x86 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|x86 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|x86 :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|x86 :  An old version of CMake is being used that cannot automatically detect
release|x86 :  compiler attributes.  Compiler identification is being bypassed.  Some
release|x86 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|x86 :  CMake's built-in compiler identification.
release|x86 :Call Stack (most recent call first):
release|x86 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|x86 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|x86 :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|x86 :  An old version of CMake is being used that cannot automatically detect
release|x86 :  compiler attributes.  Compiler identification is being bypassed.  Some
release|x86 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|x86 :  CMake's built-in compiler identification.
release|x86 :Call Stack (most recent call first):
release|x86 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|x86 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|x86 :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|x86 :  An old version of CMake is being used that cannot automatically detect
release|x86 :  compiler attributes.  Compiler identification is being bypassed.  Some
release|x86 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|x86 :  CMake's built-in compiler identification.
release|x86 :Call Stack (most recent call first):
release|x86 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|x86 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|x86_64 :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|x86_64 :  An old version of CMake is being used that cannot automatically detect
release|x86_64 :  compiler attributes.  Compiler identification is being bypassed.  Some
release|x86_64 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|x86_64 :  CMake's built-in compiler identification.
release|x86_64 :Call Stack (most recent call first):
release|x86_64 :  /opt/android-sdk/cmake/3.18.1/share/cmake-3.18/Modules/CMakeDetermineSystem.cmake:93 (include)
release|x86_64 :  CMakeLists.txt:7 (project)
release|x86_64 :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|x86_64 :  An old version of CMake is being used that cannot automatically detect
release|x86_64 :  compiler attributes.  Compiler identification is being bypassed.  Some
release|x86_64 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|x86_64 :  CMake's built-in compiler identification.
release|x86_64 :Call Stack (most recent call first):
release|x86_64 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86_64/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|x86_64 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86_64/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|x86_64 :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|x86_64 :  An old version of CMake is being used that cannot automatically detect
release|x86_64 :  compiler attributes.  Compiler identification is being bypassed.  Some
release|x86_64 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|x86_64 :  CMake's built-in compiler identification.
release|x86_64 :Call Stack (most recent call first):
release|x86_64 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86_64/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|x86_64 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86_64/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|x86_64 :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|x86_64 :  An old version of CMake is being used that cannot automatically detect
release|x86_64 :  compiler attributes.  Compiler identification is being bypassed.  Some
release|x86_64 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|x86_64 :  CMake's built-in compiler identification.
release|x86_64 :Call Stack (most recent call first):
release|x86_64 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86_64/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|x86_64 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86_64/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|x86_64 :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|x86_64 :  An old version of CMake is being used that cannot automatically detect
release|x86_64 :  compiler attributes.  Compiler identification is being bypassed.  Some
release|x86_64 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|x86_64 :  CMake's built-in compiler identification.
release|x86_64 :Call Stack (most recent call first):
release|x86_64 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86_64/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|x86_64 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86_64/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|x86_64 :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|x86_64 :  An old version of CMake is being used that cannot automatically detect
release|x86_64 :  compiler attributes.  Compiler identification is being bypassed.  Some
release|x86_64 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|x86_64 :  CMake's built-in compiler identification.
release|x86_64 :Call Stack (most recent call first):
release|x86_64 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86_64/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|x86_64 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86_64/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|x86_64 :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|x86_64 :  An old version of CMake is being used that cannot automatically detect
release|x86_64 :  compiler attributes.  Compiler identification is being bypassed.  Some
release|x86_64 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|x86_64 :  CMake's built-in compiler identification.
release|x86_64 :Call Stack (most recent call first):
release|x86_64 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86_64/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|x86_64 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86_64/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|x86_64 :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|x86_64 :  An old version of CMake is being used that cannot automatically detect
release|x86_64 :  compiler attributes.  Compiler identification is being bypassed.  Some
release|x86_64 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|x86_64 :  CMake's built-in compiler identification.
release|x86_64 :Call Stack (most recent call first):
release|x86_64 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86_64/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|x86_64 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86_64/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|x86_64 :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|x86_64 :  An old version of CMake is being used that cannot automatically detect
release|x86_64 :  compiler attributes.  Compiler identification is being bypassed.  Some
release|x86_64 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|x86_64 :  CMake's built-in compiler identification.
release|x86_64 :Call Stack (most recent call first):
release|x86_64 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86_64/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|x86_64 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86_64/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|x86_64 :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|x86_64 :  An old version of CMake is being used that cannot automatically detect
release|x86_64 :  compiler attributes.  Compiler identification is being bypassed.  Some
release|x86_64 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|x86_64 :  CMake's built-in compiler identification.
release|x86_64 :Call Stack (most recent call first):
release|x86_64 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86_64/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|x86_64 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86_64/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|x86_64 :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|x86_64 :  An old version of CMake is being used that cannot automatically detect
release|x86_64 :  compiler attributes.  Compiler identification is being bypassed.  Some
release|x86_64 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|x86_64 :  CMake's built-in compiler identification.
release|x86_64 :Call Stack (most recent call first):
release|x86_64 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86_64/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|x86_64 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86_64/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|x86_64 :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|x86_64 :  An old version of CMake is being used that cannot automatically detect
release|x86_64 :  compiler attributes.  Compiler identification is being bypassed.  Some
release|x86_64 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|x86_64 :  CMake's built-in compiler identification.
release|x86_64 :Call Stack (most recent call first):
release|x86_64 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86_64/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|x86_64 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86_64/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)
release|x86_64 :CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
release|x86_64 :  An old version of CMake is being used that cannot automatically detect
release|x86_64 :  compiler attributes.  Compiler identification is being bypassed.  Some
release|x86_64 :  values may be wrong or missing.  Update to CMake 3.19 or newer to use
release|x86_64 :  CMake's built-in compiler identification.
release|x86_64 :Call Stack (most recent call first):
release|x86_64 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86_64/CMakeFiles/3.18.1-g262b901/CMakeSystem.cmake:6 (include)
release|x86_64 :  /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86_64/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)

> Task :app:externalNativeBuildRelease
Build chewing-jni_armeabi-v7a
ninja: Entering directory `/home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/armeabi-v7a'
/home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/libs/libchewing/thirdparty/sqlite-amalgamation/sqlite3.c:87791:38: warning: implicit conversion from 'long long' to 'double' changes value from 9223372036854775806 to 9223372036854775808 [-Wimplicit-const-int-float-conversion]
/home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/libs/libchewing/thirdparty/sqlite-amalgamation/sqlite3.c:87793:46: warning: implicit conversion from 'long long' to 'double' changes value from 9223372036854775806 to 9223372036854775808 [-Wimplicit-const-int-float-conversion]
Build chewing-jni_arm64-v8a
ninja: Entering directory `/home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/arm64-v8a'

> Task :app:processReleaseManifestForPackage

> Task :app:externalNativeBuildRelease
/home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/libs/libchewing/thirdparty/sqlite-amalgamation/sqlite3.c:87791:38: warning: implicit conversion from 'long long' to 'double' changes value from 9223372036854775806 to 9223372036854775808 [-Wimplicit-const-int-float-conversion]
/home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/libs/libchewing/thirdparty/sqlite-amalgamation/sqlite3.c:87793:46: warning: implicit conversion from 'long long' to 'double' changes value from 9223372036854775806 to 9223372036854775808 [-Wimplicit-const-int-float-conversion]
Build chewing-jni_x86
ninja: Entering directory `/home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86'
/home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/libs/libchewing/thirdparty/sqlite-amalgamation/sqlite3.c:87791:38: warning: implicit conversion from 'long long' to 'double' changes value from 9223372036854775806 to 9223372036854775808 [-Wimplicit-const-int-float-conversion]
/home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/libs/libchewing/thirdparty/sqlite-amalgamation/sqlite3.c:87793:46: warning: implicit conversion from 'long long' to 'double' changes value from 9223372036854775806 to 9223372036854775808 [-Wimplicit-const-int-float-conversion]
/home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/libs/libchewing/thirdparty/sqlite-amalgamation/sqlite3.c:8280:26: warning: unused variable 'sqlite3one' [-Wunused-const-variable]
Build chewing-jni_x86_64
ninja: Entering directory `/home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/.cxx/cmake/release/x86_64'
/home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/libs/libchewing/thirdparty/sqlite-amalgamation/sqlite3.c:87791:38: warning: implicit conversion from 'long long' to 'double' changes value from 9223372036854775806 to 9223372036854775808 [-Wimplicit-const-int-float-conversion]
/home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/libs/libchewing/thirdparty/sqlite-amalgamation/sqlite3.c:87793:46: warning: implicit conversion from 'long long' to 'double' changes value from 9223372036854775806 to 9223372036854775808 [-Wimplicit-const-int-float-conversion]
/home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/libs/libchewing/thirdparty/sqlite-amalgamation/sqlite3.c:8280:26: warning: unused variable 'sqlite3one' [-Wunused-const-variable]

> Task :app:mergeReleaseJniLibFolders
> Task :app:mergeReleaseShaders
> Task :app:compileReleaseShaders NO-SOURCE
> Task :app:generateReleaseAssets UP-TO-DATE
> Task :app:mergeReleaseAssets
> Task :app:processReleaseJavaRes NO-SOURCE
> Task :app:checkReleaseDuplicateClasses
> Task :app:compressReleaseAssets
> Task :app:mergeReleaseNativeLibs
> Task :app:collectReleaseDependencies

> Task :app:stripReleaseDebugSymbols
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir

> Task :app:extractReleaseNativeSymbolTables
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir

> Task :app:sdkReleaseDependencyData
> Task :app:writeReleaseAppMetadata
> Task :app:writeReleaseSigningConfigVersions
> Task :app:mergeReleaseNativeDebugMetadata
> Task :app:processReleaseResources
> Task :app:kaptGenerateStubsReleaseKotlin
> Task :app:optimizeReleaseResources
> Task :app:kaptReleaseKotlin

> Task :app:compileReleaseKotlin
w: /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/src/main/java/org/ghostsinthelab/apps/guilelessbopomofo/GuilelessBopomofoService.kt: (328, 33): Parameter 'event' is never used
w: /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/src/main/java/org/ghostsinthelab/apps/guilelessbopomofo/KeyboardPanel.kt: (265, 34): Parameter 'offset' is never used
w: /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/src/main/java/org/ghostsinthelab/apps/guilelessbopomofo/buffers/BopomofoBufferTextView.kt: (43, 9): This is a delicate API and its use requires care. Make sure you fully read and understand documentation of the declaration that is marked as a delicate API.
w: /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/src/main/java/org/ghostsinthelab/apps/guilelessbopomofo/buffers/PreEditBufferTextView.kt: (108, 9): This is a delicate API and its use requires care. Make sure you fully read and understand documentation of the declaration that is marked as a delicate API.
w: /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/src/main/java/org/ghostsinthelab/apps/guilelessbopomofo/keys/BackspaceKey.kt: (60, 9): This is a delicate API and its use requires care. Make sure you fully read and understand documentation of the declaration that is marked as a delicate API.
w: /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/src/main/java/org/ghostsinthelab/apps/guilelessbopomofo/keys/ImeSwitchFunctionKey.kt: (49, 17): 'switchToNextInputMethod(IBinder!, Boolean): Boolean' is deprecated. Deprecated in Java
w: /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/src/main/java/org/ghostsinthelab/apps/guilelessbopomofo/utils/Touchable.kt: (37, 15): Extension is shadowed by a member: public abstract fun onLongPress(p0: MotionEvent!): Unit
w: /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/src/main/java/org/ghostsinthelab/apps/guilelessbopomofo/utils/Touchable.kt: (37, 27): Parameter 'e' is never used
w: /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/src/main/java/org/ghostsinthelab/apps/guilelessbopomofo/utils/Touchable.kt: (41, 15): Extension is shadowed by a member: public abstract fun onSingleTapUp(p0: MotionEvent!): Boolean
w: /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/src/main/java/org/ghostsinthelab/apps/guilelessbopomofo/utils/Touchable.kt: (41, 29): Parameter 'e' is never used
w: /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/src/main/java/org/ghostsinthelab/apps/guilelessbopomofo/utils/Touchable.kt: (45, 15): Extension is shadowed by a member: public abstract fun onDown(p0: MotionEvent!): Boolean
w: /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/src/main/java/org/ghostsinthelab/apps/guilelessbopomofo/utils/Touchable.kt: (45, 22): Parameter 'e' is never used
w: /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/src/main/java/org/ghostsinthelab/apps/guilelessbopomofo/utils/Vibratable.kt: (46, 22): 'vibrate(Long): Unit' is deprecated. Deprecated in Java
w: /home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo/app/src/main/java/org/ghostsinthelab/apps/guilelessbopomofo/utils/Vibratable.kt: (55, 22): 'vibrate(Long): Unit' is deprecated. Deprecated in Java

> Task :app:compileReleaseJavaWithJavac
> Task :app:compileReleaseSources
> Task :app:lintVitalRelease
> Task :app:mergeReleaseGeneratedProguardFiles
> Task :app:mergeReleaseJavaResource
> Task :app:minifyReleaseWithR8
> Task :app:packageRelease
> Task :app:assembleRelease

BUILD SUCCESSFUL in 4m 19s
44 actionable tasks: 44 executed
2021-06-08 23:00:29,923 DEBUG: Popen(['git', 'cat-file', '--batch-check'], cwd=/home/vagrant/build/org.ghostsinthelab.apps.guilelessbopomofo, universal_newlines=False, shell=None)
2021-06-08 23:00:29,927 INFO: Successfully built version 1.3.3 of org.ghostsinthelab.apps.guilelessbopomofo from 16c8bf45b295e9ca69cda7e925b71ea772db66de
2021-06-08 23:00:30,402 DEBUG: AXML contains a RESOURCE MAP
2021-06-08 23:00:30,402 DEBUG: Start of Namespace mapping: prefix 24: 'android' --> uri 34: 'http://schemas.android.com/apk/res/android'
2021-06-08 23:00:30,403 DEBUG: Checking build/org.ghostsinthelab.apps.guilelessbopomofo/app/build/outputs/apk/release/app-release-unsigned.apk
2021-06-08 23:00:30,411 DEBUG: AXML contains a RESOURCE MAP
2021-06-08 23:00:30,411 DEBUG: Start of Namespace mapping: prefix 24: 'android' --> uri 34: 'http://schemas.android.com/apk/res/android'
2021-06-08 23:00:30,437 INFO: success: org.ghostsinthelab.apps.guilelessbopomofo
2021-06-08 23:00:30,437 INFO: Finished
2021-06-08 23:00:30,438 INFO: 1 build succeeded